| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectId | yes | string | The ID of the object, the tangible will bind to it. |
| tangibleId | yes | string | Tangible ID |
| tangibleType | yes | string | Tangible type, the type may only contain letters and hyphens (-), and hyphens cannot appear at the beginning or end of the string. |
| tangibleName | no | string | Tangible name |
| distinction | no | string | Distinction of the tangible, e.g., rtil |
| extraInfo | no | string | Other attributes of the tangible, in JSON string format |
| priority | no | int | Binding priority; the object will prioritize using the tangible with the smallest value. If this value is not provided, the default rule is: set priority to 0 for new bindings; if a binding relationship already exists, set it to 1 |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error information |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "mutation createTangible($input: CreateTangibleInput!) { createTangible(input: $input) { errorCode errorInfo } }",
"variables": {
"input": {
"tangibleId": "testtangibleid1",
"tangibleType": "ext",
"tangibleName": "testtangiblename1",
"extraInfo": "{\"testname\":\"aaa\"}"
}
}
}'{
"data": {
"createTangibleAndBind": {
"errorCode": "0x0",
"errorInfo": "Succ"
}
}
}